Download it now!
Bug 125210 - KDE5: Can't to dock Formula editor by Ctrl+double click in Math
Summary: KDE5: Can't to dock Formula editor by Ctrl+double click in Math
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
6.2.2.2 release
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2019-05-11 10:24 UTC by Roman Kuznetsov
Modified: 2020-07-10 19:20 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2019-05-11 10:24:26 UTC
Description:
KDE5: Can't to dock Formula editor by Ctrl+double click in Math

Steps to Reproduce:
1. Open Math
2. Ctrl+double click on top border of Formula editor -> it became a float window "Command"
3. Try to dock back this window by Ctrl+double click as wrote in Math guide.
4. Doesn't happen

Actual Results:
-

Expected Results:
-


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.2.2.2
Build ID: 1:6.2.2-0ubuntu2
CPU threads: 4; OS: Linux 5.0; UI render: default; VCL: kde5; 
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded

but doesn't repro in 6.3 in windows, and in vanille with gtk3 and with kde5.

Ubuntu build problem?=(
Comment 1 Roman Kuznetsov 2019-05-11 10:26:29 UTC
from Math guide:

To return the Commands dialog and Elements Dock dialog back to their default positions:
     1) Position the cursor on the frame of the dialog, NOT the title bar at the top of the of the dialog.
     2) Hold down the Ctrl key and double-click.
Comment 2 Vera Blagoveschenskaya 2019-05-13 06:13:03 UTC
Reproduced for 

Version: 6.3.0.0.alpha0+
Build ID: 98630a0bd49bd80652145a21e4e0d0ded792b36b
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-05-04_04:44:35
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded

Can't dock back from 'Command' window
Comment 3 Jan-Marek Glogowski 2019-05-22 16:42:58 UTC
This works for me with both the "Elements" and the "Commands" window. Thanks for this tip actually, as it helped me a lot to fix some other bug :-)

It's a bit tricky to position the mouse in some window area, which is the window background and no other control / widget.

For the Commands window, I find it the easiest to double-click in the corner where the two scrollbars meet. For the Elements window I normally choose the area  between the combo box and the element list, because you can more easily see, if the mouse is in the list or over the combo box.

My build is probably a week old with some additional Math patches (unrelated to this problem).

Version: 6.3.0.0.alpha1+
Build ID: 2d1acab71d21910d08534b6734be25cceb3f926d
CPU threads: 4; OS: Linux 5.0; UI render: default; VCL: kde5; 
Locale: en-US (C); UI-Language: en-US
Calc: threaded
Comment 4 Jan-Marek Glogowski 2019-05-22 17:17:48 UTC
I'm on Debian Buster KDE, but I don't think that matters for the bug.
Comment 5 Jan-Marek Glogowski 2019-05-22 17:59:01 UTC
(In reply to Roman Kuznetsov from comment #0)
> but doesn't repro in 6.3 in windows, and in vanille with gtk3 and with kde5.
> 
> Ubuntu build problem?=(

Missed that. An Ubuntu build problem is unlikely, but if the TDF build works... But Vera also reproduced this bug with master, so hmmm ... are you both using Wayland?
Comment 6 Roman Kuznetsov 2019-05-22 18:07:06 UTC
(In reply to Jan-Marek Glogowski from comment #5)
> (In reply to Roman Kuznetsov from comment #0)
> > but doesn't repro in 6.3 in windows, and in vanille with gtk3 and with kde5.
> > 
> > Ubuntu build problem?=(
> 
> Missed that. An Ubuntu build problem is unlikely, but if the TDF build
> works... But Vera also reproduced this bug with master, so hmmm ... are you
> both using Wayland?

I don't use wayland, I have Kubuntu 19.04 now
Comment 7 Katarina Behrens (Inactive) 2019-05-22 20:27:08 UTC
I can reproduce this 100% but only with clean user profile i.e. `soffice --safe-mode --math`. 

Also it is not Math formula editor, any docking window (such as Math elements panel, sidebar, Basic variable watch,...) misbehaves like this
Comment 8 Jan-Marek Glogowski 2019-05-22 22:11:35 UTC
(In reply to Katarina Behrens (CIB) from comment #7)
> I can reproduce this 100% but only with clean user profile i.e. `soffice
> --safe-mode --math`. 

I don't think Roman has a clean user profile
 
> Also it is not Math formula editor, any docking window (such as Math
> elements panel, sidebar, Basic variable watch,...) misbehaves like this

So I'm setting this to NEW again.

What I just did was:
1. so -env:UserInstallation=file:///tmp/test-math --math (new profile)
2. Close the tip of the day
3. Hold Ctrl + double-click "Commands" border => undocks as floating window
4. Hold Ctrl + double-click "Commands" floating window corner => re-docks

with: alias so='./inst*/program/soffice'

But I also tested this many times with a rather old profile.

So somebody else has to look into this.

Since you were doing multi-monitor stuff recently, maybe a 2nd screen is involved? Blind guess...
Comment 9 Katarina Behrens (Inactive) 2019-05-31 16:51:14 UTC
With a master build as of today, I no longer reproduce
Comment 10 Jan-Marek Glogowski 2019-06-01 20:35:37 UTC
(In reply to Katarina Behrens (CIB) from comment #9)
> With a master build as of today, I no longer reproduce

I love mysteriously disappearing bugs :-)

OTOH I could never reproduce this. Would be nice if one of our Russian reporters could verify this too with a master build, so we can change it to VERIFIED.

Daily builds: https://dev-builds.libreoffice.org/daily/

More information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds
Comment 11 Roman Kuznetsov 2019-06-01 20:54:11 UTC
verified in

Version: 6.3.0.0.alpha1+
Build ID: 77ae0abe21f672cf4b7d2e069f1d40d20edc49a7
CPU threads: 4; OS: Linux 5.0; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-05-31_15:33:33
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded

Vera, can you retest it too?
Comment 12 Vera Blagoveschenskaya 2019-06-03 05:54:18 UTC
(In reply to Roman Kuznetsov from comment #11)
> verified in
> 
> Version: 6.3.0.0.alpha1+
> Build ID: 77ae0abe21f672cf4b7d2e069f1d40d20edc49a7
> CPU threads: 4; OS: Linux 5.0; UI render: default; VCL: kde5; 
> TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time:
> 2019-05-31_15:33:33
> Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
> Calc: threaded
> 
> Vera, can you retest it too?

Well, I have no fresh build (the latest is from https://dev-builds.libreoffice.org/daily/master/Linux-rpm_deb-x86_64@86-TDF-dbg/2019-05-22_09.22.40/ 
So I'll keep in mind and re-test later.
Comment 13 Vera Blagoveschenskaya 2019-06-03 06:11:02 UTC
(In reply to Vera Blagoveschenskaya from comment #12)
> (In reply to Roman Kuznetsov from comment #11)
> > verified in
> > 
> > Version: 6.3.0.0.alpha1+
> > Build ID: 77ae0abe21f672cf4b7d2e069f1d40d20edc49a7
> > CPU threads: 4; OS: Linux 5.0; UI render: default; VCL: kde5; 
> > TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time:
> > 2019-05-31_15:33:33
> > Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
> > Calc: threaded
> > 
> > Vera, can you retest it too?
> 
> Well, I have no fresh build (the latest is from
> https://dev-builds.libreoffice.org/daily/master/Linux-rpm_deb-x86_64@86-TDF-
> dbg/2019-05-22_09.22.40/ 
> So I'll keep in mind and re-test later.

Hmm, seems I use wrong link to master build,
I rechecked for 

Version: 6.3.0.0.alpha1+
Build ID: 77ae0abe21f672cf4b7d2e069f1d40d20edc49a7
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-05-31_15:33:33
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded

I use Double-click in the corner where the two scrollbars meet --> Command window became float and return back normally.